<?php

/**
 * @package     JohnCMS
 * @link        http://johncms.com
 * @copyright   Copyright (C) 2008-2011 JohnCMS Community
 * @license     LICENSE.txt (see attached file)
 * @version     VERSION.txt (see attached file)
 * @author      http://johncms.com/about
 */

define('_IN_JOHNCMS', 1);

require('../incfiles/core.php');
$textl = 'Личная гостевая';
$headmod = 'my_guest';

$user = getUser(isset($_REQUEST['user']) ? abs(intval($_REQUEST['user'])) : $user_id);
if (!$user) {
    require('../incfiles/head.php');
    echo 'Пользователь не существует';
    require('../incfiles/end.php');
    exit;
}

if($user_id && $user['id'] == $user_id)
    $datauser['comm_old'] = $datauser['comm_count'];

require('../incfiles/head.php');
$context_top = '<div class="phdr"><a href="anketa.php?id=' . $user['id'] . '"><b>Анкета</b></a> | Гостевая книга</div>' .
    '<div class="gmenu"><p>' . show_user($user, 1) . '</p></div>';

/*
-----------------------------------------------------------------
Параметры Гостевой
-----------------------------------------------------------------
*/
$arg = array (
    'comments_table' => 'cms_users_guestbook', // Таблица Гостевой
    'object_table' => 'users',                 // Таблица комментируемых объектов
    'script' => 'users_guestbook.php?',         // Имя скрипта (с параметрами вызова)
    'sub_id_name' => 'user',                   // Имя идентификатора комментируемого объекта
    'sub_id' => $user['id'],                   // Идентификатор комментируемого объекта
    'owner' => $user['id'],                    // Владелец объекта
    'owner_delete' => true,                    // Возможность владельцу удалять комментарий
    'owner_reply' => true,                     // Возможность владельцу отвечать на комментарий
    'title' => 'Комментарии',                  // Название раздела
    'context_top' => $context_top              // Выводится вверху списка
);

/*
-----------------------------------------------------------------
Показываем комментарии
-----------------------------------------------------------------
*/
require('../incfiles/comments.php');
$comm = new comments($arg);

/*
-----------------------------------------------------------------
Обновляем счетчик непрочитанного
-----------------------------------------------------------------
*/
if(!$mod && $user['id'] == $user_id && $user['comm_count'] != $user['comm_old']){
    mysql_query("UPDATE `users` SET `comm_old` = '" . $user['comm_count'] . "' WHERE `id` = '$user_id'");
}

require('../incfiles/end.php');